## openjdk-lts 11.0.6+10

=== debian/changelog ===
openjdk-lts (11.0.6+10-2ubuntu2) focal; urgency=medium

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly. LP: #1861467.

  [ Tiago Stürmer Daitx ]
  * d/tests/jtreg-autopkgtest.in: keep generated hs_err log files
    with test artifacts to improve later debug.
  * d/tests/jtdiff-autopkgtest.in: set default vm to correctly locate
    test resuts when it defaults to zerovm.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 20 Feb 2020 22:21:20 +0000

openjdk-lts (11.0.6+10-2ubuntu1) focal; urgency=medium

  * Sync packages with 11.0.6+10-2:
  * Fix FTCBFS (Helmut Grohne). Addresses: #949460.
    - Missing Build-Depends: zlib1g-dev:native.
    - Use triplet-prefixed objcopy and strip.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2020 09:39:37 +0100

openjdk-lts (11.0.6+10-1ubuntu1) focal; urgency=medium

  * Sync packages with 11.0.6+10-1:
  * OpenJDK 11.0.6+10 build (release).
    - S8220598: Malformed copyright year range in a few files in java.base.
    - S8224909, CVE-2020-2583: Unlink Set of LinkedHashSets.
    - S8225261: Better method resolutions.
    - S8225279: Better XRender interpolation.
    - S8226352, CVE-2020-2590: Improve Kerberos interop capabilities.
    - S8227758: More valid PKIX processing.
    - S8227816: More Colorful ICC profiles.
    - S8228548, CVE-2020-2593: Normalize normalization for all.
    - S8229728: Implement negotiation parameters.
    - S8229951, CVE-2020-2601: Better Ticket Granting Services.
    - S8230279: Improve Pack200 file reading.
    - S8230318: Better trust store usage.
    - S8230967: Improve Registry support of clients.
    - S8231139: Improved keystore support.
    - S8231422, CVE-2020-2604: Better serial filter handling.
    - S8231780, CVE-2020-2655: Better TLS messaging support.
    - S8231790: Provide better FileSystemProviders.
    - S8232419: Improve Registry registration.
    - S8234037, CVE-2020-2654: Improve Object Identifier Processing.
  * Disable zero on sparc64 (Adrian Glaubitz). Closes: #942030.
  * Make the generated character data source files reproducible (Emmanuel
    Bourg). Closes: #933339.
  * Make the generated module-info.java files reproducible (Emmanuel Bourg).
    Closes: #933342.
  * Make the generated copyright headers reproducible (Emmanuel Bourg).
    Closes: #933349.
  * Make the build user reproducible (Emmanuel Bourg). Closes: #933373.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2020 02:07:05 +0100

openjdk-lts (11.0.6+7-1ubuntu1) focal; urgency=medium

  * Sync packages with 11.0.6+7-1:
    - OpenJDK 11.0.6+7 build (early access).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Dec 2019 11:26:59 +0100

openjdk-lts (11.0.5+10-2ubuntu1) focal; urgency=medium

  * Sync packages with 11.0.5+10-1:
    - OpenJDK 11.0.5+10 build (release).
  * Sync packages with 11.0.5+10-2:
    - Fix the jtreg consistency check when building without jtreg.
    - Don't call dh_strip_nondeterminism when building for older releases.
    - Fix disabling the zero build on arm64 on trusty.
  * debian/tests/control.in: mark all autopkgtests as flaky in the source
    file, not the generated file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 13:11:51 +0200
