## openjdk-lts 11.0.9+10

=== debian/changelog ===
openjdk-lts (11.0.9+10-0ubuntu1) groovy; urgency=medium

  [ Tiago Stürmer Daitx ]
  * OpenJDK 11.0.9+9 build (early access).
  * debian/rules:
    - copy apport hook to source_$(PKGSOURCE).py.
    - untar upstream tarball directly and avoid the unnecessary
      intermediate directory.
    - get tar to clamp mtime based on changelog's date entry and
      name the origtarball from $PKGSOURCE instead of basename.
  * debian/patches/Don-t-optimize-fdlibm-fork-for-Zero-on-linux-sparc-Z.patch,
    debian/patches/generated-headers.patch,
    debian/patches/icc_loading_with_symlink.diff,
    debian/patches/jdk-getAccessibleValue.diff,
    debian/patches/jexec.diff, debian/patches/jtreg-location.diff, 
    debian/patches/reproducible-build-user.diff, debian/patches/riscv64.diff,
    debian/patches/s390x-opt.diff, debian/patches/system-pcsclite.diff,
    debian/patches/workaround_expand_exec_shield_cs_limit.diff,
    debian/patches/zero-x32.diff: refresh patches.

  [ Matthias Klose ]
  * Don't try to run autopkg tests on armel, mipsel, mips64el.
  * debian/copyright (remove licenses not found anymore in the sources):
    - Little CMS, libpng, GIFLIB.
  * Prepare to Build using GCC 10.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 08 Oct 2020 14:57:00 +0000

openjdk-lts (11.0.8+10-0ubuntu1) groovy; urgency=medium

  * OpenJDK 11.0.8+10 build (release).
  * Security fixes:
    - JDK-8233239, CVE-2020-14562: Enhance TIFF support
    - JDK-8236867, CVE-2020-14573: Enhance Graal interface handling
    - JDK-8237117, CVE-2020-14556: Better ForkJoinPool behavior
    - JDK-8237592, CVE-2020-14577: Enhance certificate verification
    - JDK-8238002, CVE-2020-14581: Better matrix operations
    - JDK-8238920, CVE-2020-14583: Better Buffer support
    - JDK-8240119, CVE-2020-14593: Less Affine Transformations
    - JDK-8242136, CVE-2020-14621: Better XML namespace handling
    - JDK-8230613: Better ASCII conversions
    - JDK-8231800: Better listing of arrays
    - JDK-8232014: Expand DTD support
    - JDK-8233234: Better Zip Naming
    - JDK-8233255: Better Swing Buttons
    - JDK-8234032: Improve basic calendar services
    - JDK-8234042: Better factory production of certificates
    - JDK-8234418: Better parsing with CertificateFactory
    - JDK-8234836: Improve serialization handling
    - JDK-8236191: Enhance OID processing
    - JDK-8238013: Enhance String writing
    - JDK-8238804: Enhance key handling process
    - JDK-8238842: AIOOBE in GIFImageReader.initializeStringTable
    - JDK-8238843: Enhanced font handing
    - JDK-8238925: Enhance WAV file playback
    - JDK-8240482: Improved WAV file playback
    - JDK-8241379: Update JCEKS support
    - JDK-8241522: Manifest improved jar headers redux
   * d/p/default-jvm-cfg.diff: updated patch.
   * d/p/8214571.diff, d/p/8228407.diff: applied by upstream, removed patches.
 
 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 15 Jul 2020 00:56:32 +0000
