## openjdk-lts 11.0.9.1+1

=== debian/changelog ===
openjdk-lts (11.0.9.1+1-0ubuntu1~20.04) focal-security; urgency=medium

  * Backport from Hirsute.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 10 Nov 2020 04:18:42 +0000

openjdk-lts (11.0.9.1+1-0ubuntu1) hirsute; urgency=medium

  * OpenJDK 11.0.9+11 build (release).

  [ Matthias Klose ]
  * Configure --with-jvm-features=shenandoahgc for hotspot builds.
    LP: #1902029.

  [ Tiago Stürmer Daitx ]
  * Filter out recurring failed tests.
    - debian/failed-tests-problemlist.txt: list of tests known to
      have failed in the past.
    - debian/tests/control: add zip as some tests depend on it.
    - debian/tests/hotspot, debian/tests/jaxp, debian/test/jdk,
      debian/tests/langtools: exclude tests listed as failed tests,
      exit if jtreg exits 77 as no test was actually ran.
    - debian/tests/jtreg-autopkgtest.in: reduce retries from 3 to 2,
      exit early if test results are the same on retry, output time
      along name and status.
    - debian/tests/jtreg-autopkgtest.sh: regenerated.
    - d/p/hotspot-test-fix-npe-on-missing-file.patch: recurse only
      if src file exists, fixes test when libatk is a dangling link.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 09 Nov 2020 15:46:20 +0000

openjdk-lts (11.0.9+11-0ubuntu2) hirsute; urgency=medium

  * d/p/jdk-8254982-tzdata2020c.patch: update to tzdata2020c.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 26 Oct 2020 03:20:49 +0000

openjdk-lts (11.0.9+11-0ubuntu1) groovy; urgency=medium

  * OpenJDK 11.0.9+11 build (release).
  * Security fixes:
    - JDK-8233624: Enhance JNI linkage
    - JDK-8236196: Improve string pooling
    - JDK-8236862, CVE-2020-14779: Enhance support of Proxy class
    - JDK-8237990, CVE-2020-14781: Enhanced LDAP contexts
    - JDK-8237995, CVE-2020-14782: Enhance certificate processing
    - JDK-8240124: Better VM Interning
    - JDK-8241114, CVE-2020-14792: Better range handling
    - JDK-8242680, CVE-2020-14796: Improved URI Support
    - JDK-8242685, CVE-2020-14797: Better Path Validation
    - JDK-8242695, CVE-2020-14798: Enhanced buffer support
    - JDK-8243302: Advanced class supports
    - JDK-8244136, CVE-2020-14803: Improved Buffer supports
    - JDK-8244479: Further constrain certificates
    - JDK-8244955: Additional Fix for JDK-8240124
    - JDK-8245407: Enhance zoning of times
    - JDK-8245412: Better class definitions
    - JDK-8245417: Improve certificate chain handling
    - JDK-8248574: Improve jpeg processing
    - JDK-8249927: Specify limits of jdk.serialProxyInterfaceLimit
    - JDK-8253019: Enhanced JPEG decoding

  [ Matthias Klose ]
  * Call strip-nondeterminism before computing jmod hashes (Julian Gilbey).
    Closes: #944738.
  * Build with GCC 10 in current development versions. Closes: #972288.

  [ Tiago Stürmer Daitx ]
  * debian/rules:
    - remove get-orig, gbp import-orig uses uscan and is configured
      to clean the orig package.
    - sanitize v_pkgrel to use in version-opt as it deletes
      any character not in [-.a-zA-Z0-9].
    - prevent deletion of test file on dh_clean.
  * debian/generate-debian-orig.sh, debian/update-hgrev.sh: remove
    outdated files that no longer work.
  * debian/watch: fetch from github and only scan for numeric tags.
  * debian/patches/jdk-8254177-tzdata2020b.patch: update to latest
    tzdata.
  * debian/JB-jre-headless.postinst.in: replace tempfile calls with
    mktemp. Closes: #972245.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 22 Oct 2020 05:15:02 +0000
