=== debian/rules ===
--- 
+++ 
@@ -72,6 +72,7 @@
 endif
 
 is_upstream_release = yes
+#is_upstream_release = no
 
 srcdir		= .
 builddir	= build
